# _None
<span class="source-link">[[Source]](src/promises/promise.md#L304)</span>
```pony
primitive val _None
```

## Constructors

### create
<span class="source-link">[[Source]](src/promises/promise.md#L304)</span>


```pony
new val create()
: _None val^
```

#### Returns

* [_None](promises-_None) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/promises/promise.md#L304)</span>


```pony
fun box eq(
  that: _None val)
: Bool val
```
#### Parameters

*   that: [_None](promises-_None) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/promises/promise.md#L304)</span>


```pony
fun box ne(
  that: _None val)
: Bool val
```
#### Parameters

*   that: [_None](promises-_None) val

#### Returns

* [Bool](builtin-Bool) val

---

